%define		mozilla_version 096

Name:     	libnss3
Version: 	3.3.1
Release:	1
License:	MPL/GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://mozilla.org/projects/security/pki/nss/
Source0:	nss-%{version}-moz%{mozilla_version}.tar.bz2
# (fc) 3.2.1-1mdk
Patch0:		libnss3-3.2.1-uselibnspr4.patch.bz2
Patch1:		libnss3-3.2.1-use_rpmoptflags.patch
Summary:	Network Security Services (NSS)
Group:		System/Libraries
BuildRequires:	libnspr4-devel zip

%description
Network Security Services (NSS) is a set of libraries designed 
to support cross-platform development of security-enabled server 
applications. Applications built with NSS can support SSL v2 and v3, 
TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3 certificates,
and other security standards. 

%package devel
Summary:	Network Security Services (NSS) - development files
Group:		Development/C++
Requires:	%{name} = %{version}
Requires:	libnspr4-devel

%description devel
Network Security Services (NSS) is a set of libraries designed 
to support cross-platform development of security-enabled server 
applications. Applications built with NSS can support SSL v2 and v3, 
TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3 certificates,
and other security standards. 

You need this package to get includes and static libraries for building
programs linked to NSS.

%prep
%setup -q -n nss
%patch0 -p1 -b .system
%patch1 -p1 -b .rpmoptflags
%build

( cd security/nss
export RPM_OPT_FLAGS

BUILD_OPT=1 make build_coreconf 
BUILD_OPT=1 make build_dbm
BUILD_OPT=1 make 
)

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_includedir}/nss3
mkdir -p $RPM_BUILD_ROOT%{_libdir}

cp -r -L dist/public/security/* $RPM_BUILD_ROOT%{_includedir}/nss3
cp -r -L dist/Linux2.*_glibc_PTH_OPT.OBJ/lib/libnss3* $RPM_BUILD_ROOT%{_libdir}
cp -r -L dist/Linux2.*_glibc_PTH_OPT.OBJ/lib/libnssckbi.* $RPM_BUILD_ROOT%{_libdir}
cp -r -L dist/Linux2.*_glibc_PTH_OPT.OBJ/lib/libsmime3.* $RPM_BUILD_ROOT%{_libdir}
cp -r -L dist/Linux2.*_glibc_PTH_OPT.OBJ/lib/libssl3.* $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/*.so*

%files devel
%defattr(-, root, root)
%{_includedir}/*

%changelog
* Wed Nov 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.3.1-1mdk
- Use libnss3 from Mozilla 0.9.6 branch

* Wed Oct 31 2001 Peter Hanecak <hanecak@megaloman.sk>
- RPM_OPT_FLAGS used (may be dangerous - we'll see)

* Wed Oct 31 2001 Peter Hanecak <hanecak@megaloman.sk>
- merged changes from Mandrake's libnss3-3.2.1-8mdk package (see below)

* Mon Oct 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.1-8mdk
- Use libnss3 from Mozilla 0.9.5 branch

* Fri Oct 12 2001 Stefan van der Eijk <stefan@eijk.nu> 3.2.1-7mdk
- BuildRequires: zip

* Sat Sep 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.1-6mdk
- Use libnss3 from Mozilla 0.9.4 branch

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.1-5mdk
- Use libnss3 from Mozilla 0.9.3 branch
- Add requires libnspr4-devel in libnss3-devel

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 3.2.1-4mdk
- BuildRequires:	libnspr4-devel
- Removed BuildRequires:	libnspr4

* Mon Jul  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.1-3mdk
- Use libnss3 from Mozilla 0.9.2 branch

* Tue Jun 12 2001 Peter Hanecak <hanecak@megaloman.sk>
- adapted to Doors Linux

* Fri Jun  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.1-2mdk
- Use libnss3 from Mozilla 0.9.1 branch

* Thu May 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.1-1mdk
- Patch0 to use sytem libnspr4
- First Mandrake package
